This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1007936 - Error message fail - GSpice-WARNING **: invalid SPICE_MAGIC!
Error message fail - GSpice-WARNING **: invalid SPICE_MAGIC!
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-viewer (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Virt Viewer Maint
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 11:16 EDT by Bill Sanford
Modified: 2013-10-14 21:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 21:07:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Sanford 2013-09-13 11:16:50 EDT
Description of problem:
Using virt-viewer and specifying ports 22 or 25 end up with a different error logging message than "GSpice-WARNING **: Connection refused."

[root@kaitain ~]# remote-viewer spice://localhost:22
(remote-viewer:19821): GSpice-WARNING **: invalid SPICE_MAGIC!

Version-Release number of selected component (if applicable):
RHEL6.5-20130911.n.1

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Christophe Fergeau 2013-09-13 12:05:07 EDT
You probably have some daemons listening on port 22 and 25 (ssh and smtp), which would send some data to remote-viewer when it attempts to connect. The client tells you this data does not match what it expects. I'm not exactly sure what you'd expect in this situation? No GSpice-Warning at all? Or something else?
Comment 2 Bill Sanford 2013-09-13 12:20:30 EDT
Every other port replies with "GSpice-WARNING **: Connection refused."

I kind of expect that instead of the "GSpice-WARNING **: invalid SPICE_MAGIC!" where I made reference to in the initial description.
Comment 3 Bill Sanford 2013-09-13 12:22:11 EDT
Oh, BTW, this is on a single RHEL 6.5 instance where the remote-viewer is being launched by the command-line.
Comment 4 Christophe Fergeau 2013-09-16 03:54:05 EDT
(In reply to Bill Sanford from comment #2)
> Every other port replies with "GSpice-WARNING **: Connection refused."
> 
> I kind of expect that instead of the "GSpice-WARNING **: invalid
> SPICE_MAGIC!" where I made reference to in the initial description.

Imo 'invalid SPICE_MAGIC' is more correct than 'connection refused' in this case. We could reword the warning message if you think that's useful, but I don't think it's that important. If you install more services on your box, you'll get this message for more ports.
Comment 5 Marc-Andre Lureau 2013-10-14 21:07:11 EDT
I agree with Christophe, closing for now

Note You need to log in before you can comment on or make changes to this bug.